@import '../../../styles.scss';

.account {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 15fr 100fr;
    grid-template-areas: 
    "info info"
    "post tag";
}

.group-personnal-info {
    grid-area: info;
    display: grid;
    grid-template-areas:
    "left-user right-user"
    "confirm-button confirm-button";
    text-align: center;
}

.validate-button {
    color: white;
    background-color: $color-blue;
}

.validate-button:disabled {
    color: white;
    background-color: grey;
}

mat-form-field {
    width: 60%;
}

.confirm-update-user {
    grid-area: confirm-button;
    margin-bottom: 20px;
    margin-top: 20px;
}

.group-post {
    grid-area: post;
    padding: 15px;
}

.group-tag {
    grid-area: tag;
    padding: 15px;
}

.idefluxs {
    margin-bottom: 10px;
}

.error-update {
    margin-top: 20px;
    color: $color-red;
}

.success-update {
    margin-top: 20px;
    color: $color-green;
}

.tags {
    border: 1px solid $color-grey-2;
    background-color: $color-response-bg;
    padding: 10px;
    margin-bottom: 5px;
    display: grid;
    grid-template-areas: 
    "tag follow";
    grid-template-columns: 80fr 20fr;
    border-radius: 5px;
    align-items: center;
}

.tags:hover {
    box-shadow: 0px 0px 5px 0px $color-grey-2;
    cursor: pointer;
}

.follow button:hover {
    background-color: $color-blue;
    color: white
}



.tag-title {
    font-weight: bold;
}

.follow {
    button {
        width: 100%;
    }
    text-align: center;
    display: flex;
    align-items:center;
}